<template>
	<nav>
		<RouterLink
			v-for="(item, index) in items"
			:key="index"
			:to="item.path">
			{{ item.name }}
		</RouterLink>
	</nav>
</template>

<script lang="ts">
	interface DataComponent {
		items: MenuItem[]
	}

	interface MenuItem {
		path: string
		name: string
	}

	export default {
		name: "NavBar",

		data(): DataComponent {
			return {
				items: [
					{ path: "/", name: "Home" },
					{ path: "/about", name: "About" },
					{ path: "/login", name: "Log in" },
					{ path: "/logout", name: "Log out" },
					{ path: "/choice", name: "Choice" },
					{ path: "/admin", name: "Admin" },
				],
			}
		},
	}
</script>

<style scoped>
	nav {
		width: 100%;
		font-size: 12px;
		text-align: center;
		margin-top: 2rem;
	}

	nav a.router-link-exact-active {
		color: var(--color-text);
	}

	nav a.router-link-exact-active:hover {
		background-color: transparent;
	}

	nav a {
		display: inline-block;
		padding: 0 1rem;
		border-left: 1px solid var(--color-border);
	}

	nav a:first-of-type {
		border: 0;
	}

	@media (min-width: 1024px) {
		nav {
			text-align: left;
			margin-left: -1rem;
			font-size: 1rem;

			padding: 1rem 0;
			margin-top: 1rem;
		}
	}
</style>
